package subscribesvc

import (
	subscriberepository "legalgo-BE-go/internal/accessor/subscribe"
	userdomain "legalgo-BE-go/internal/domain/user"
)

type impl struct {
	subsRepo subscriberepository.Subscribe
}

type Subscribe interface {
	Create(string) (string, error)
	Update(userdomain.UserSubsUpdate) error
}

func New(subsRepo subscriberepository.Subscribe) Subscribe {
	return &impl{subsRepo}
}
